TemplateXFcPriorityList< T > class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPriorityList< T > Class Template Reference

Defines a priority-sorted list. More...

Inheritance diagram for XFcPriorityList< T >:

[legend]
Collaboration diagram for XFcPriorityList< T >:

[legend]
List of all members.

## Public Member Functions

| XFcPriorityList (XFcPriorityHelp *aPriorityHelp)
| Constructor.
| XFcPriorityList ()
| Constructor.
virtual | ~XFcPriorityList ()
| Destructor.
void | setPriorityHelp (XFcPriorityHelp *aPriorityHelp)
| Sets the priority helper.
INT | addPriorityFirst (T aNewData)
| Adds first by priority.
INT | addPriorityLast (T aNewData)
| Adds last by priority.
void | decreasePriorities ()
| Decreases all priorities.
void | increasePriorities ()
| Increases priorities.
INT | removeFirst ()
| Removes first.
INT | removeLast ()
| Removes last.

## Private Attributes

XFcPriorityHelp * | mPriorityHelp
| Priority help.

## Detailed Description

### template<class T>
class XFcPriorityList< T >

Defines a priority-sorted list.

## Constructor & Destructor Documentation

template<class T>
XFcPriorityList< T >::XFcPriorityList | ( | XFcPriorityHelp * | aPriorityHelp | ) |

| Constructor.

template<class T>
XFcPriorityList< T >::XFcPriorityList | ( |  | ) |

| Constructor.

template<class T>
XFcPriorityList< T >::~XFcPriorityList | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T>
INT XFcPriorityList< T >::addPriorityFirst | ( | T | aNewData | ) |

| Adds first by priority.

template<class T>
INT XFcPriorityList< T >::addPriorityLast | ( | T | aNewData | ) |

| Adds last by priority. If list holds already object with same priority the new element is added before the older element.

template<class T>
void XFcPriorityList< T >::decreasePriorities | ( |  | ) |

| Decreases all priorities.

template<class T>
void XFcPriorityList< T >::increasePriorities | ( |  | ) |

| Increases priorities.

template<class T>
INT XFcPriorityList< T >::removeFirst | ( |  | ) |

| Removes first.

template<class T>
INT XFcPriorityList< T >::removeLast | ( |  | ) |

| Removes last.

template<class T>
void XFcPriorityList< T >::setPriorityHelp | ( | XFcPriorityHelp * | aPriorityHelp | ) |

| Sets the priority helper.

## Member Data Documentation

template<class T>
XFcPriorityHelp* XFcPriorityList< T >::mPriorityHelp`[private]`

| Priority help.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch